//
//	                                                            
//	Source File:	CLASSYWS.hpp
//	Purpose:	Application used to test the CWINSOCK class definitions                                   
//	Date:		9 November 1993
//	Version:	Alpha                 
//	Developer:	Michael J. Baldwin, GENISYS Comm, Inc.                                                            
//		
//		
//	The enclosed C++ definitions and software is copyrighted by GENISYS Comm, and is
//	hereby released into the public domain.  It may be freely used by others if 
//	the following notice is included in each source code and header file:
//
//	"Copywrite 1993, GENISYS Comm, Inc."
//
//	Please provide suggesting, improvements, etc. to the author (baldwin@GENISYS.com)
//	and we will modify this definition as warranted.
//
//

//		Application class definition...
class CWinsockApp : public CWinApp
{
public:
	CWinsockApp();
	~CWinsockApp();
	BOOL InitInstance();
};

//		extern allows everyone to access GcpApp
extern CWinsockApp WinsockApp;          


//		Main Window class definition...
class CWinsockWnd : public CFrameWnd
{
private:
	afx_msg void OnSize(UINT, int, int);
	CEdit EditWnd;
	CWinsock Winsock;

public:
	static void CALLBACK NetEventHandler (WPARAM, LPARAM);
	void Print (LPSTR);
	CWinsockWnd();
	~CWinsockWnd();
	DECLARE_MESSAGE_MAP();
};
